# -*- coding: utf-8 -*-
# @Author: wangkun
# @Time: 2022/5/19
import datetime
import os
import sys
import time
sys.path.append(os.getcwd())
from main.common import Common
from main.hour_list import HourList


def hour_list_job():
    while True:
        # 今天的日期:年-月-日
        today = datetime.datetime.now().strftime("%Y-%m-%d")
        # 昨天
        yesterday = (datetime.date.today() + datetime.timedelta(days=-1)).strftime("%Y-%m-%d")
        # 前天
        before_yesterday = (datetime.date.today() + datetime.timedelta(days=-2)).strftime("%Y-%m-%d")

        Common.logger("hour").info("检查今日上升榜日期是否存在")
        HourList.check_hour_list_data("hour", today)

        while True:
            # 获取符合规则的视频，写入列表
            HourList.get_hour_list_feeds("hour")
            time.sleep(1)
            hour_list_job_time = datetime.datetime.now()
            if hour_list_job_time.hour == 10 and 0 <= hour_list_job_time.minute <= 10:

                Common.logger("hour").info("开始更新上升榜")
                HourList.update_hour_list_data("hour", today, yesterday, before_yesterday)
                Common.logger("hour").info("开始下载上升榜")
                HourList.download_and_publish("hour")

            elif hour_list_job_time.hour == 15 and hour_list_job_time.minute <= 10:

                Common.logger("hour").info("开始更新上升榜")
                HourList.update_hour_list_data("hour", today, yesterday, before_yesterday)
                Common.logger("hour").info("开始下载上升榜")
                HourList.download_and_publish("hour")

            elif hour_list_job_time.hour == 20 and hour_list_job_time.minute <= 10:

                Common.logger("hour").info("开始更新上升榜")
                HourList.update_hour_list_data("hour", today, yesterday, before_yesterday)
                Common.logger("hour").info("开始下载上升榜")
                HourList.download_and_publish("hour")

            elif 1 >= hour_list_job_time.hour >= 0:

                break


def run_update_hour_list():
    HourList.update_hour_list_data("hour", "2022-07-01", "2022-06-30", "2022-06-29")


def run_download_and_publish():
    HourList.download_and_publish("hour")


if __name__ == "__main__":
    # hour_list_job()
    # run_update_hour_list()
    run_download_and_publish()
