# -*- coding: utf-8 -*-
# @Author: wangkun
# @Time: 2022/5/18
import datetime
from datetime import timedelta
import os
# import random
import sys
import time

sys.path.append(os.getcwd())
from main.common import Common
from main.person_list import Person


def person_list_job():
    while True:
        Common.del_logs("person")
        Common.logger("person").info("开始抓取小年糕关注榜")
        # 关注用户列表
        Person.sub_persons("person")
        time.sleep(1)
        # 取消关注用户
        Person.unsub_persons("person")
        time.sleep(1)

        while True:
            # 前天 <class 'str'>  2022-04-13
            before_yesterday = (datetime.date.today() + timedelta(days=-2)).strftime("%Y/%m/%d %H:%M:%S")
            before_yesterday = time.strptime(before_yesterday, "%Y/%m/%d %H:%M:%S")
            before_yesterday = int(time.mktime(before_yesterday))*1000
            # 任务结束时间:小于 2022年5月18日
            # endtime = 1652803200000
            endtime = before_yesterday
            person_list_time = datetime.datetime.now()

            if Person.download_from_sub("person", endtime) >= endtime:
                Person.download_from_sub("person", endtime)
            elif 1 >= person_list_time.hour >= 0:
                Common.logger("person").info("结束今日抓取任务")
                Person.next_t_list = [-1]
                time.sleep(300)
                break
            else:
                Common.logger("person").info("发布时间大于48小时，结束抓取任务")
                time.sleep(3)
                Person.next_t_list = [-1]
                break


if __name__ == "__main__":
    person_list_job()
